name:                dbcparse
version:             0.1.0.0
-- synopsis:
-- description:
homepage:            https://github.com/githubuser/dbcparse#readme
license:             BSD3
license-file:        LICENSE
author:              Tilo Wiklund
maintainer:          tilo@wiklund.co
copyright:           2017 Tilo Wiklund
category:            Other
build-type:          Simple
extra-source-files:  README.md
cabal-version:       >=1.10

library
  hs-source-dirs:      src
  exposed-modules:     Notebook.Databricks
  other-modules:       Notebook.Utils
  build-depends:       base >= 4.7 && < 5
                     , aeson, bytestring, containers, data-default, directory, filepath, lens, text, unordered-containers, uuid, vector
  default-language:    Haskell2010

executable dbcparse-exe
  hs-source-dirs:      app
  main-is:             Main.hs
  ghc-options:         -threaded -rtsopts -with-rtsopts=-N
  build-depends:       aeson, base, bytestring, dbcparse, lens, managed, optparse-applicative, system-filepath, text, turtle, unordered-containers, vector, yaml
  default-language:    Haskell2010

test-suite dbcparse-test
  type:                exitcode-stdio-1.0
  hs-source-dirs:      test
  main-is:             Spec.hs
  build-depends:       base
                     , dbcparse
  ghc-options:         -threaded -rtsopts -with-rtsopts=-N
  default-language:    Haskell2010

source-repository head
  type:     git
  location: https://github.com/githubuser/dbcparse
